> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Events

> list all supported webhook events



## OpenAPI

````yaml get /user/webhook/events/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /user/webhook/events/:
    get:
      tags:
        - user
      description: list all supported webhook events
      operationId: List available webhook events
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/subscribable_events'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    subscribable_events:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
            description: Name of the event.
          description: List of subscribable events your webhook can listen to.
      required:
        - data
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````